# ModelAndView Class Reference
[Spring-like webflow tools]

List of all members.

## Public Member Functions

| __construct ()
| getModel ()
| setModel (Model $model)
| getView ()
| setView ($view)
| viewIsRedirect ()
| viewIsNormal ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $model = null
| $view = null

## Detailed Description

Definition at line 15 of file ModelAndView.class.php.

## Constructor & Destructor Documentation

ModelAndView::__construct | ( |  | ) |

Definition at line 29 of file ModelAndView.class.php.

## Member Function Documentation

static ModelAndView::create | ( |  | ) | `[static]`

Returns:
  ModelAndView

Definition at line 24 of file ModelAndView.class.php.

Referenced by ControllersCollection::__construct(), PrototypedEditor::doAdd(), PrototypedEditor::doDrop(), PrototypedEditor::doEdit(), PrototypedEditor::doSave(), PrototypedEditor::doTake(), DebugUtils::errorMav(), MonolithicController::handleRequest(), MethodMappedController::handleRequest(), and EditorController::handleRequest().

ModelAndView::getModel | ( |  | ) |

Returns:
  Model

Definition at line 37 of file ModelAndView.class.php.

Referenced by BaseEditor::postHandleRequest().

ModelAndView::getView | ( |  | ) |

Definition at line 52 of file ModelAndView.class.php.

Referenced by BaseEditor::postHandleRequest().

ModelAndView::setModel | ( | Model $ | model | ) |

Returns:
  ModelAndView

Definition at line 45 of file ModelAndView.class.php.

ModelAndView::setView | ( | $ | view | ) |

Returns:
  ModelAndView

Definition at line 60 of file ModelAndView.class.php.

References $view, and Assert::isTrue().

Referenced by BaseEditor::postHandleRequest().

Here is the call graph for this function:

ModelAndView::viewIsNormal | ( |  | ) |

Definition at line 82 of file ModelAndView.class.php.

References View::ERROR_VIEW, and viewIsRedirect().

Here is the call graph for this function:

ModelAndView::viewIsRedirect | ( |  | ) |

Definition at line 72 of file ModelAndView.class.php.

Referenced by viewIsNormal().

## Member Data Documentation

ModelAndView::$model = null`[private]`

Definition at line 17 of file ModelAndView.class.php.

ModelAndView::$view = null`[private]`

Definition at line 19 of file ModelAndView.class.php.

Referenced by setView().

The documentation for this class was generated from the following file:

- main/Flow/ModelAndView.class.php